Eclipse Platform Release 3.7

## org.eclipse.jface.text.quickassist
Interface IQuickAssistInvocationContext

All Known Implementing Classes:
  TextInvocationContext

    public interface IQuickAssistInvocationContext

Context information for quick fix and quick assist processors.

This interface can be implemented by clients.

Since:
  3.2

Method Summary
`int` `getLength()` Returns the length of the selection at the invocation offset.
`int` `getOffset()` Returns the offset where quick assist was invoked.
`ISourceViewer` `getSourceViewer()` Returns the viewer for this context.

Method Detail

### getOffset

    int getOffset()

  Returns the offset where quick assist was invoked.

  Returns:
    the invocation offset or `-1` if unknown

### getLength

    int getLength()

  Returns the length of the selection at the invocation offset.

  Returns:
    the length of the current selection or `-1` if none or unknown

### getSourceViewer

    ISourceViewer getSourceViewer()

  Returns the viewer for this context.

  Returns:
    the viewer or `null` if not available

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.